AUPARSE_FIRST_FIELD(3)

NAME
auparse_first_field - reposition field cursor

SYNOPSIS
#include <auparse.h>

int auparse_first_field(auparse_state_t *au);

DESCRIPTION
auparse_first_field repositions the library's internal cursor to point to the first field of the current record in the current event.

RETURN VALUE
Returns 0 if there is no event data; otherwise, 1 for success.

SEE ALSO
auparse_next_field(3).

AUTHOR
Steve Grubb